Package javax.validation.executable

# Interface ExecutableValidator

public interface ExecutableValidator

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`<T> Set<ConstraintViolation<T>>`
`validateConstructorParameters(Constructor<? extends T> constructor, Object[] parameterValues, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
`validateConstructorReturnValue(Constructor<? extends T> constructor, T createdObject, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
`validateParameters(T object, Method method, Object[] parameterValues, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
`validateReturnValue(T object, Method method, Object returnValue, Class<?>... groups)`

## Method Details

### validateParameters

<T> Set<ConstraintViolation<T>> validateParameters(T object, Method method, Object[] parameterValues, Class<?>... groups)

### validateReturnValue

<T> Set<ConstraintViolation<T>> validateReturnValue(T object, Method method, Object returnValue, Class<?>... groups)

### validateConstructorParameters

<T> Set<ConstraintViolation<T>> validateConstructorParameters(Constructor<? extends T> constructor, Object[] parameterValues, Class<?>... groups)

### validateConstructorReturnValue

<T> Set<ConstraintViolation<T>> validateConstructorReturnValue(Constructor<? extends T> constructor, T createdObject, Class<?>... groups)